/***************************************************************************
                          dragstack.h  -  description
                             -------------------
    begin                : Don Okt 30 09:53:28 CET 2003
    copyright            : (C) 2003 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DRAGSTACK_H
#define DRAGSTACK_H

#ifdef HAVE_CONFIG_H
        #include <config.h>
#endif

#include <kpanelapplet.h>
#include <qstring.h>


class DSPushButton;
class QResizeEvent;

class DragStacK : public KPanelApplet
{
    Q_OBJECT
    public:
        DragStacK(const QString& configFile, Type t = Normal, int actions = 0,
            QWidget *parent = 0, const char *name = 0);
        
        int widthForHeight( int height ) const;
        int heightForWidth( int width) const;

    public slots:
        void about();

    protected:
        void resizeEvent( QResizeEvent* e );
        
    private:
        DSPushButton* m_button;
};

#endif
