/***************************************************************************
                          dragiface.h  -  description
                             -------------------
    begin                : Sun Nov 09 09:53:28 CET 2003
    copyright            : (C) 2003 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DRAGIFACE_H
#define DRAGIFACE_H

#include <dcopobject.h>
#include <kurl.h>

class DragIface : virtual public DCOPObject
{
    K_DCOP

    public:
    k_dcop:
        virtual void clear() = 0;
        virtual int count() const = 0;
        virtual void run() = 0;
        
        virtual void push( KURL url ) = 0;
        virtual KURL pop() = 0;
};

#endif // DRAGIFACE_H
